<template>
  <div>
    <h1>call_room</h1>
    <video id="rtc_media_player" width="310" autoplay muted controls></video>
  </div>
</template>

<script>
export default {
  name: "call_room",
  data() {
    return {};
  },
  mounted() {
    // eslint-disable-next-line no-undef
    let player = new SrsRtcPlayerAsync();
    var url = 'webrtc://192.168.2.180/live/test123';

    player.play(url).then(function(session){
      console.log(session);
      // ui.children('#peer').text('Peer: ' + url);
      // video.prop('muted', false);
    }).catch(function (reason) {

      // player.close();
      // video.hide();
      console.error(reason);
    });

  },
  methods: {}
}
</script>

<style scoped>

</style>
